org.apache.olingo.odata2.api.ep.callback

## Class ReadFeedResult

- java.lang.Object
- - org.apache.olingo.odata2.api.ep.callback.ReadResult
  - - org.apache.olingo.odata2.api.ep.callback.ReadFeedResult

-     public class ReadFeedResult
      extends ReadResult

  A `ReadFeedResult` represents an inlined navigation property which points to a feed (in the form of a list of `ODataEntry` instances). The `ReadFeedResult` contains the `EntityProviderReadProperties` which were used for read, the `navigationPropertyName` and the read/de-serialized inlined entities. If inlined navigation property is `nullable` the `ReadFeedResult` has the `navigationPropertyName` and a `NULL` entry set.

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.odata2.api.ep.callback.ReadResult

      `navigationProperty, readProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadFeedResult(EntityProviderReadProperties properties, EdmNavigationProperty navigationProperty, ODataFeed entry, String entryMetadataId)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getParentEntryId()`
    `ODataFeed` | `getResult()` Common access method to read result.
    `boolean` | `isFeed()` Return whether this entry is a `feed` (multiplicity of `1..m`) or a single `entry` (multiplicity of `0..1` or `1..1`).
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.odata2.api.ep.callback.ReadResult

      `getNavigationProperty, getReadProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadFeedResult

          public ReadFeedResult(EntityProviderReadProperties properties,
                                EdmNavigationProperty navigationProperty,
                                ODataFeed entry,
                                String entryMetadataId)

      Constructor. Parameters MUST NOT BE NULL.
      Parameters:
        `properties` - read properties which are used to read enclosing parent entity
        `navigationProperty` - emd navigation property information of found inline navigation property
        `entry` - read entities as list of `ODataEntry`

  - ### Method Detail

    - #### getResult

          public ODataFeed getResult()

      Description copied from class: `ReadResult`
      Common access method to read result.
      Specified by:
        `getResult` in class `ReadResult`
      Returns:
        an `ODataEntry` for the case of an single read entry or a list of `ODataEntry` in the case of an read feed.

    - #### isFeed

          public boolean isFeed()

      Description copied from class: `ReadResult`
      Return whether this entry is a `feed` (multiplicity of `1..m`) or a single `entry` (multiplicity of `0..1` or `1..1`).
      Specified by:
        `isFeed` in class `ReadResult`
      Returns:
        `true` for a feed and `false` for an entry

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ReadResult`

    - #### getParentEntryId

          public String getParentEntryId()

      Returns:
        the rootEntryId

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.